library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternParaX

class description - source file - inheritance tree (.pdf)

## class TGeoPatternParaX : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternParaX`

        public:

                            TGeoPatternParaX()
                            TGeoPatternParaX(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternParaX(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternParaX(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternParaX(const TGeoPatternParaX&)
                    virtual ~TGeoPatternParaX()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
          TGeoPatternParaX& operator=(const TGeoPatternParaX&)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternParaX()

     Default constructor

TGeoPatternParaX(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaX(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaX(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternParaX()

     Destructor

TGeoNode* FindNode(Double_t *point)

     get the node division containing the query point

### Inline Functions

                         void cd(Int_t idiv)
                      TClass* Class()
                      TClass* IsA() const
                         void ShowMembers(TMemberInspector& insp, char* parent)
                         void Streamer(TBuffer& b)
                         void StreamerNVirtual(TBuffer& b)
             TGeoPatternParaX TGeoPatternParaX(const TGeoPatternParaX&)
            TGeoPatternParaX& operator=(const TGeoPatternParaX&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.10 2004/02/10 08:56:20 brun Exp $